Bug 499238

Summary: liblua-5.1.so missing -lm dependency, lua.spec fix provided
Product: [Fedora] Fedora Reporter: William A. Rowe, Jr. <wrowe>
Component: luaAssignee: Tim Niemueller <tim>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: low    
Version: 10CC: jose.p.oliveira.oss, tim, wrowe
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: 5.1.4-2.fc10 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-07-16 07:00:18 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description William A. Rowe, Jr. 2009-05-05 18:03:52 UTC
Description of problem:
lua.spec munges the LIBS path to remove readline and ncurses,
but -failed- to restore -lm required by liblua-5.1.so

Version-Release number of selected component (if applicable):
lua-5.1.4-1.fc10.src.rpm

How reproducible:
Always with httpd trunk, probably other lua consumers who have no direct
dependency on -lm

Steps to Reproduce:
1. yum install lua lua-devel
2. checkout http://svn.apache.org/repos/asf/httpd/httpd/trunk et al
3. ./buildconf --with-apr=/path/to/apr/src
4. ./configure --prefix=/usr/local --with-lua [etc]
5. make; make install
6. /usr/local/bin/apachectl -t
  
Actual results:
[when testing 'LoadModule lua_module modules/mod_lua.so']
httpd: Syntax error on line 97 of /opt/apache2x/conf/httpd.conf: Cannot load /opt/apache2x/modules/mod_lua.so into server: /usr/lib64/liblua-5.1.so: undefined symbol: sqrt

Expected results:
Syntax OK

Additional info:
The lua.spec make line, currently missing an -lm, should read;

make %{?_smp_mflags} LIBS="-lm -ldl" luac_LDADD="liblua.la -lm -ldl"

Comment 1 Fedora Update System 2009-06-11 22:29:19 UTC
lua-5.1.4-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/lua-5.1.4-2.fc10

Comment 2 Fedora Update System 2009-06-11 22:46:14 UTC
lua-5.1.4-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/lua-5.1.4-2.fc9

Comment 3 Fedora Update System 2009-06-11 22:47:09 UTC
lua-5.1.4-3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/lua-5.1.4-3.fc11

Comment 4 Fedora Update System 2009-06-16 01:52:54 UTC
lua-5.1.4-2.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update lua'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-6211

Comment 5 Fedora Update System 2009-07-16 07:00:13 UTC
lua-5.1.4-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2009-07-16 07:09:09 UTC
lua-5.1.4-3.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Jose Pedro Oliveira 2010-09-01 16:35:11 UTC
Hi,

I'm also seeing this problem in EPEL5 (lua-5.1.2).

Could someone upgrade lua in EPEL5 to version.release >= 5.1.4-2?

tia,
jpo